Subject: Re: bug#38110: [PATCH 0/2] Bootstrap [email-masked] directly from [email-masked].

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 05 Feb 2021 09:58:13 -0500

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hello Marius,
>
> Marius Bakke <[email-masked]> writes:
>
>> Danny Milosavljevic <[email-masked]> writes:
>>
>>> Hi Marius,
>>>
>>> On Mon, 23 Mar 2020 23:16:07 +0100
>>> Marius Bakke <[email-masked]> wrote:
>>>
>>>> > Building rust, I get a texinfo build failure:
>>>
>>>> How are you building Rust?  I've only used the Guix package definition
>>>> and did not get as far as actually running the test suite.  Do you have
>>>> an updated build script?
>>>
>>> It's failing in texinfo, not in rust.
>>
>> Oh right, sorry for the confusion.
>>
>>> Also, on my laptop, it's not failing in texinfo.  So I guess it has
>>> something to do with bayfront or the machines it offloads to.
>>
>> I haven't seen this in the countless times I've built core-updates over
>> the last few months, nor on Berlin.  I suspect it has to do with
>> parallelism; can you see if #:parallel-tests? #f makes a difference?
>>
>> You should be able to grab a Texinfo substitute from ci.guix.gnu.org
>> though.
>
> I don't recall how close or how far it was from actually building, but
> attached is a modified version of Danny's patch I was working on, that
> applies to current core-updates:
>
>
>
> Perhaps it can be useful.
>
> Maxim

I ended up pushing a heavily modified version of the original patch from
Danny, as commit df93fc21a4 on core-updates.

Closing.

Thank you!

Maxim